Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047113
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] Coremajorhave not tried2021-06-14 11:362021-08-06 11:33
ReporteraferrazView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047113: Not possible to filter a grid inside a dialog

DescriptionWhen having a filterable grid inside a dialog, it is not possible to use the filter: when you click on the filter, the dialog is automatically closed.

The problem is in following line: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/blame/master/web-jspack/org.openbravo.core2/src/hooks/useEditNumber/useEditNumber.js#L263 [^]
Steps To ReproduceCreate a filterable grid component inside a dialog, like this one: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/524/diffs#a5c51f8ccf131ac2d08a4a1257fac492d664e4e2_0_48 [^]
Click on the filter and check the dialog is closed.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0047142 closedhernan-dp Input focus doesn't work properly with Grid popover 
depends on backport 0047119TAP acknowledgedplatform Not possible to filter a grid inside a dialog 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0130365)
hgbot (developer)
2021-07-12 09:29

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/587 [^]

- Issue History
Date Modified Username Field Change
2021-06-14 11:36 aferraz New Issue
2021-06-14 11:36 aferraz Assigned To => platform
2021-06-14 11:36 aferraz Triggers an Emergency Pack => No
2021-06-14 13:33 guilleaer Resolution time => 1625608800
2021-06-14 13:33 guilleaer Status new => acknowledged
2021-06-14 13:33 guilleaer Status acknowledged => scheduled
2021-06-14 13:33 guilleaer Status scheduled => acknowledged
2021-07-09 12:39 jarmendariz Assigned To platform => jarmendariz
2021-07-12 09:29 hgbot Note Added: 0130365
2021-07-12 14:12 jarmendariz Relationship added related to 0047142
2021-07-14 15:39 dmiguelez Resolution time 1625608800 => 1628028000
2021-07-15 13:51 jarmendariz Status acknowledged => scheduled
2021-08-06 11:33 dmiguelez Resolution time 1628028000 => 1629410400


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker